Bug 175043 - dvips defaults to pipe output to printer
Summary: dvips defaults to pipe output to printer
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL: /usr/share/texmf/pdvips/config/config.ps
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-05 22:55 UTC by William Murray
Modified: 2013-07-02 23:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-06 09:11:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Murray 2005-12-05 22:55:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
dvips defaults to pipe output to printer.
This is non-intuitive, and expensive. All the other '2' programs (ps2pdf)
create a file of the appropriate extension; this one pipe its output to the
printer.

Please change it to make a file by default.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC5
2. Run dvips
3.
  

Actual Results:  File is sent to printer

Expected Results:  ps file made

Additional info:

Comment 1 Jindrich Novy 2005-12-06 09:11:33 UTC
I agree this is an inconsistency, but the right place to complain is the teTeX
upstream. If I modify its behaviour in our teTeX, I'd be immediatelly bugged by
someone other that it doesn't behave as expected.

I'll gladly make the behaviour of dvips consistent with the other conversion
utilities, but after it's accepted upstream, sorry.

Suggest to send an email to tetex mailing list. You can subscribe here:
http://www.tug.org/teTeX/

I'm on the list as well, so I'll see it and can contribute to the discussion there.

P.S. dvips is a part of tetex-dvips


Note You need to log in before you can comment on or make changes to this bug.